Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface LayoutDefinitionControl

    @ControlInterface
    public interface LayoutDefinitionControl

A custom control interface used to interact with LayoutDefinitions.

Method Summary
`void` | `deleteLayoutDefinition(LayoutDefinitionId id, ResourceContext context)` Deletes a `LayoutDefintion` and all associated placeholders.
`LayoutDefinition` | `getLayoutDefinition(LayoutDefinitionId id, ResourceContext context)` Used to retieve a single `LayoutDefinition` object given a layoutId.
`SortableFilterablePagedResult<LayoutDefinition>` | `getLayoutDefinitions(int pageSize, WebAppSearchCriteria criteria, ResourceContext context)` Retrieves all the `LayoutDefinition`s scoped to this web app

Method Detail

### getLayoutDefinitions

    SortableFilterablePagedResult<LayoutDefinition> getLayoutDefinitions(int pageSize,
                                                                         WebAppSearchCriteria criteria,
                                                                         ResourceContext context)
                                                                         throws ToolsException

  Retrieves all the `LayoutDefinition`s scoped to this web app

  Parameters
    `pageSize` - Number of elements per iterator object within the `PagedResult`
    `criteria` - the criteria (including web app name) to search with.
    `context` - the resource context
  Returns
    A `PagedResult` object containing `Iterators` of `LayoutDefinitions`
  Throws
    `ToolsException`

### getLayoutDefinition

    LayoutDefinition getLayoutDefinition(LayoutDefinitionId id,
                                         ResourceContext context)
                                         throws ToolsException

  Used to retieve a single `LayoutDefinition` object given a layoutId.

  Parameters
    `id` - the ID of the layout to retrieve
    `context` - the resource context
  Returns
    A `LayoutDeinition` object based on the layoutId
  Throws
    `ToolsException`

### deleteLayoutDefinition

    void deleteLayoutDefinition(LayoutDefinitionId id,
                                ResourceContext context)
                                throws ObjectInUseException,
                                       ToolsException,
                                       NotEntitledException,
                                       ObjectNotFoundException

  Deletes a `LayoutDefintion` and all associated placeholders.

  Parameters
    `id` - The id of the LayoutDefinition to delete.
    `context` - the resource context
  Throws
    `ObjectInUseException`
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.